# $Revision: 1.16 $, $Date: 2008/07/27 22:28:53 $

# Conditional build:
%bcond_with	tests	# perform "make test" (requires database connection)

%include	/usr/lib/rpm/macros.perl
%define		pdir	Class
%define		pnam	DBI-mysql
Summary:	Extensions to Class::DBI for MySQL
Summary(pl.UTF-8):	Rozszerzenie Class::DBI dla MySQL-a
Name:		perl-Class-DBI-mysql
Version:	1.00
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3bee2423ba61348a54201f4aca25e79b
URL:		http://search.cpan.org/dist/Class-DBI-mysql/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
# not autodetected
Requires:	perl-Class-DBI
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is an extension to Class::DBI, containing several functions and
optimisations for the MySQL database. Instead of setting Class::DBI as
your base class, use this instead.

%description -l pl.UTF-8
Jest to rozszerzenie Class::DBI, zawierające kilka funkcji i
optymalizacji dla bazy danych MySQL. Zamiast ustawiania jako klasę
podstawową Class::DBI, można ustawić tę.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Class/DBI/mysql.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Class-DBI-mysql.spec,v $
Revision 1.16  2008/07/27 22:28:53  arekm
- release 2

Revision 1.15  2007-02-13 07:16:53  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:24  baggins
- converted to UTF-8

Revision 1.13  2006/07/26 21:00:34  glen
- generic URL

Revision 1.12  2006/02/17 16:16:28  glen
- 1.00

Revision 1.11  2005/10/30 19:28:56  glen
- needs perl-Class-DBI; rel 2

Revision 1.10  2004/11/03 22:30:09  paladine
- formatting

Revision 1.9  2004/05/06 18:43:04  ankry
- fixed perl-devel BR

Revision 1.8  2004/04/18 16:56:34  ankry
- license fixes and unification

Revision 1.7  2004/03/06 22:14:25  adamg
- updated to 0.23

Revision 1.6  2003/12/23 08:05:59  misi3k
- updated to 0.22

Revision 1.5  2003/10/11 21:05:59  migo
- up to 0.21

Revision 1.4  2003/10/10 07:52:28  migo
- up to 0.19
- new bcond style

Revision 1.3  2003/08/22 08:50:53  qboosh
- cleanup

Revision 1.2  2003/08/22 05:55:32  ankry
- pl translations

Revision 1.1  2003/08/21 19:21:52  migo
- initial release
